Page MenuHome

Move to trash / OK button that again
Closed, ResolvedPublic

Description

System Information
Operating system: Darwin-20.1.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro 575 OpenGL Engine ATI Technologies Inc. 4.1 ATI-4.0.36

Blender Version
Broken: version: 2.91.0 Alpha, branch: master, commit date: 2020-09-07 22:02, hash: rB5c2ac8520e07
Worked: (newest version of Blender that worked as expected)

Short description of error
Move to trash / OK button that again

Exact steps for others to reproduce the error
That again same as before they did remove code cause Mac appear (Move to TRASH) / (OK) button. Please put back is the same code make sure to appear Open, Cancel. I am show you is the same as before and September 7, and 8, 2020

Event Timeline

Garry R. Osgood (grosgood) changed the task status from Needs Triage to Needs Information from User.Wed, Sep 9, 1:48 PM

@Kent Davis (mac4kent)
From the error message: '"Blender App" cannot be opened because the developer cannot be verified' suggests that the downloaded blender executable has not been signed, a security verification step. I do not know if the extra chore of signing MacOS install images is taken by the blender team for daily test builds. Assuming that daily test builds are unsigned and not verifiable, have you performed any steps to relax security on your own machine, such as suggested here, for the purpose of running blender test builds?

  1. Cannot open file because identity of developer cannot be verified (Source: Apple Communities)
  2. Allowing Third Party Applications to Install on a MacBook (Source: Northern Michigan University)

These steps do compromise security. If you do not choose to do that, then can you achieve your ends with the official releases?
Thank you!

@Garry R. Osgood (grosgood) that is not true. They did fix code make it work that happen before. Blender 2.91 need to fix code.

Blender 2.91 Alpha of September 5, 2020 it work, 6 it work, 7 that happen cause. 8 that happen cause. need to fix.

I do not know if the extra chore of signing MacOS install images is taken by the blender team for daily test builds.

That theory can be dismissed.

Nonetheless, it is a matter of fact that the Gatekeeper on your platfom is deciding that your blender binary is unsigned and unnotarized. (and would like you to put it in the trash can). I doubt that there has been a general failure in Blender buildbot's signing method, otherwise, at this time, there would be a deluge of similar reports on the tracker. That has not been the case.

However, I understand you are beta-testing macOS 11. I also gather that code signing for large projects such as Blender has its subtle aspects, in particular, the signing order of dependent modules matters, per unofficial documentation furnished by "Quinn the Eskimo", a support person for Apple developers ( Signing a Mac Product For Distribution ). While it is an untested theory for now, it isn't hard to imagine that the Gatekeeper for beta 11 is more stringent than the Gatekeeper for the current macOS release, which beta testers such as yourself would uncover. It would be very useful at this point if other testers of macOS 11 beta could download a post-September 7 macOS build of Blender and confirm the error message you have here.

They did fix code make it work that happen before.

Are you familiar with a task number describing such a fix? It would be very useful to cite that here. Thank you.

Update MacOS 11 beta last Sept 3, 2020 there is nothing wrong.
Blender 2.91 happen last September 7 not MacOS 11.

Blender 2.91 Alpha September 9, 2020 = It work, Now you see.
I knew it Blender does not MacOS 11.

Just wait to see Sept 10, 11, 12, 13, 14 if happen again then I will send again. Same as before 2.8x
2.8 was it work later 2.8x (you see "x" that mean other number happen and I send and they did fixed finally it work until again recent Sept 7, 8 same thing of Blender 2.91. Now September 9 it work. Just wait to see if again.

@Brecht Van Lommel (brecht) the macOS master bot has been skipping (or at least the UI says so) code signing since build 726.

@Ankit Meel (ankitm), that's just the builds for every commit which are also not uploaded, the nightly builds still do code signing.

@Sergey Sharybin (sergey) maybe signing and notarization is randomly failing.

Are there any logs where we can see for that? The buildbot logs by themselves don't seem to have anything, since this happens on another server.

Garry R. Osgood (grosgood) changed the task status from Needs Information from User to Needs Developer to Reproduce.Thu, Sep 10, 1:14 PM

@Kent Davis (mac4kent):
Thank you very much.

Are you familiar with a task number describing such a fix?

If I understand:

  1. a spate of such errors as you report in and around when Task 66998 was under way, ceasing around February 2020, when this task was resolved and daily macOS builds commenced being signed.
  2. most recently the macOS builds for September 7th and September 8th failed your Gatekeeper, which complained that the Blender 2.91 binaries were unsigned and unnotarized.
  3. however, the macOS binary for September 9th succeeded. We will see what the near future brings to us.

@Ankit Meel (ankitm)
Links to logs from Blender Buildbot infrastructure certainly report a spate of macOS builds failing in the test scripts, but I did not delve into them too deeply, nor did I attempt to associate successful build numbers with images available to download on September 7 or 8. I would think that if an unsigned .dmg image actually got posted to downloads there would be a spike of reports such as these. That's why I'm inclined to think that gatekeeping on the beta macOS is sensitive to issues that the current macOS gatekeeper is lenient about. That is my shiny, untested theory of the moment and I adore it; I haven't yet subjected it to anything so rude as facts.

I think it prudent to keep this open for awhile as a collection point.

Ankit Meel (ankitm) added a comment.EditedThu, Sep 10, 1:33 PM

Yes beta macOS is unstable sure, but two reports from Catalina were there back in May about 2.83 and 2.90 T76749 which were fixed by a re-download.
Hopefully this gets fixed similarly: "Just wait to see Sept 10, 11, 12, 13, 14 if happen again then I will send again."

It will also be good to make sure that signed bundles are uploaded and it's always a corrupt download that causes the issue.

@Garry R. Osgood (grosgood) , I really HATE GateKeeper.app I never really NEVER install Gatekeeper. They did really wants damage everyone Mac on Gatekeeper. I kick GateKeeper.app out.

@Ankit Meel (ankitm) Yes correct answer this about 10, 11, 12, 13, 14 and you do good remember last May are correct you answer.

@Brecht Van Lommel (brecht), the notarization server itself gives misleading information. The latest issue with notarization I've looked into was caused by an unfortunate chain of events:

  • Linking Blender executable got aborted, leaving temp linker file in place
  • It got copied to the install directory
  • Codesign was fine with it, but notarization did not like it at all

There was always a TODO in the list of the CI process to add checks and logs related on codesign, but is something I hoped devops will help us with. If you think this is becoming urgent to fix now I do it. Otherwise I would wait for James.

@Brecht Van Lommel (brecht), started the codesign_error_tracker branch. It will take some more time to make sure macos/windows are properly handled, and to deploy to the production.

There is more things we can do on top of that, solving little glirks of the install target and things like that.

@Ankit Meel (ankitm)
@Sergey Sharybin (sergey)

I check everything good work.

Blender 2.91 Alpha date:
September 2020
5 Pass
6 Pass
7 Fail
8 Fail
9 Don't remember
10 Pass
11 Pass
12 Pass
13 Pass
14 Pass
All done

Richard Antalik (ISS) closed this task as Resolved.Tue, Sep 15, 11:42 AM
Richard Antalik (ISS) claimed this task.

Thanks for info, closing.

Sure you are welcome.